org.eclipse.emf.cdo.common.lob

## Class CDOLob<IO>

- java.lang.Object
- - org.eclipse.emf.cdo.common.lob.CDOLobInfo
  - - org.eclipse.emf.cdo.common.lob.CDOLob<IO>

- Direct Known Subclasses:
    CDOBlob, CDOClob

      public abstract class CDOLob<IO>
      extends CDOLobInfo

  A identifiable large object with streaming support.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract IO` | `getContents()`
    `CDOLobStore` | `getStore()`
    `protected abstract CDOLobInfo` | `put(IO contents)`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLobInfo

      `getID, getIDString, getSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getStore

          public final CDOLobStore getStore()

    - #### getContents

          public abstract IO getContents()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### put

          protected abstract CDOLobInfo put(IO contents)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html